Get Entity Relationships
curl --request GET \
--url https://api.shoal.xyz/v1/entities/:id/relationships \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.shoal.xyz/v1/entities/:id/relationships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoal.xyz/v1/entities/:id/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Entities
Get Entity Relationships
List canonical relationships attached to one Shoal entity
GET
/
v1
/
entities
/
:id
/
relationships
Get Entity Relationships
Returns direct canonical relationships for one Shoal entity id.
Path Parameters
id(integer, required)
Query Parameters
limit(integer, optional, default 50, max 50)offset(integer, optional, default 0, max 250)
Request
cURL
curl -X GET "https://api.shoal.xyz/v1/entities/23151/relationships?limit=25" \
-H "Authorization: Bearer YOUR_API_KEY"
Response (200)
{
"entity": {
"id": 23151,
"canonicalName": "Ethereum",
"displayName": "Ethereum",
"entityType": "project",
"status": "active",
"aliases": ["Ethereum Foundation", "ETH"],
"references": []
},
"limit": 25,
"offset": 0,
"data": [
{
"sourceEntityId": 23151,
"targetEntityId": 41201,
"relationshipType": "FOUNDATION_OF",
"status": "active",
"direction": "outbound",
"searchExpand": true,
"relatedEntity": {
"id": 41201,
"canonicalName": "Ethereum Foundation",
"displayName": "Ethereum Foundation",
"entityType": "foundation",
"status": "active"
}
}
]
}
Notes
- Relationship traversal is direct and canonical. It is not a full multi-hop graph query.
directionis relative to the requested entity id.searchExpandindicates whether the relationship is currently used in Shoal expansion logic.
Errors
- 400 if
idis missing - 404 if the entity does not exist
- 500 on internal server error
⌘I